CREATE FUNCTION "dba"."get_kp_last_tas_kuup"( a_arvekuup date, a_arvenr char(20), a_asutnr integer )
RETURNS date
BEGIN
	DECLARE ld_kuup INTEGER;
	select max(kp_kanne.kuup) into ld_kuup from kp_kanne where ((kp_kanne.arvekuup=a_arvekuup and kp_kanne.arvenr=a_arvenr) or a_arvenr is null) and kp_kanne.asutnr=a_asutnr;
	RETURN ld_kuup;
END